RequestPathMetricsCollector (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.util

## Class RequestPathMetricsCollector

- java.lang.Object
- - org.apache.zookeeper.server.util.RequestPathMetricsCollector

-     public class RequestPathMetricsCollector
      extends Object

  This class holds the requests path ( up till a certain depth) stats per request type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PATH_STATS_COLLECTOR_DELAY`
    `static String` | `PATH_STATS_COLLECTOR_INITIAL_DELAY`
    `static String` | `PATH_STATS_ENABLED`
    `static String` | `PATH_STATS_MAX_DEPTH`
    `static String` | `PATH_STATS_SAMPLE_RATE`
    `static String` | `PATH_STATS_SLOT_CAPACITY`
    `static String` | `PATH_STATS_SLOT_DURATION`
    `static String` | `PATH_STATS_TOP_PATH_MAX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestPathMetricsCollector()`
    `RequestPathMetricsCollector(boolean accurateMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dumpTopPaths(PrintWriter pwriter, int queryMaxDepth)`
    `void` | `dumpTopReadPaths(PrintWriter pwriter, int queryMaxDepth)`
    `void` | `dumpTopRequestPath(PrintWriter pwriter, String requestTypeName, int queryMaxDepth)`
    `void` | `dumpTopWritePaths(PrintWriter pwriter, int queryMaxDepth)`
    `void` | `registerRequest(int type, String path)` The public interface of the buffer.
    `void` | `shutdown()`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_STATS_SLOT_CAPACITY

          public static final String PATH_STATS_SLOT_CAPACITY

      See Also:
        Constant Field Values

    - #### PATH_STATS_SLOT_DURATION

          public static final String PATH_STATS_SLOT_DURATION

      See Also:
        Constant Field Values

    - #### PATH_STATS_MAX_DEPTH

          public static final String PATH_STATS_MAX_DEPTH

      See Also:
        Constant Field Values

    - #### PATH_STATS_SAMPLE_RATE

          public static final String PATH_STATS_SAMPLE_RATE

      See Also:
        Constant Field Values

    - #### PATH_STATS_COLLECTOR_INITIAL_DELAY

          public static final String PATH_STATS_COLLECTOR_INITIAL_DELAY

      See Also:
        Constant Field Values

    - #### PATH_STATS_COLLECTOR_DELAY

          public static final String PATH_STATS_COLLECTOR_DELAY

      See Also:
        Constant Field Values

    - #### PATH_STATS_TOP_PATH_MAX

          public static final String PATH_STATS_TOP_PATH_MAX

      See Also:
        Constant Field Values

    - #### PATH_STATS_ENABLED

          public static final String PATH_STATS_ENABLED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RequestPathMetricsCollector

          public RequestPathMetricsCollector()

    - #### RequestPathMetricsCollector

          public RequestPathMetricsCollector(boolean accurateMode)

  - ### Method Detail

    - #### shutdown

          public void shutdown()

    - #### start

          public void start()

    - #### registerRequest

          public void registerRequest(int type,
                                      String path)

      The public interface of the buffer. FinalRequestHandler will call into this for each request that has a path and this needs to be fast. we sample the path so that we don't have to store too many paths in memory

    - #### dumpTopRequestPath

          public void dumpTopRequestPath(PrintWriter pwriter,
                                         String requestTypeName,
                                         int queryMaxDepth)

    - #### dumpTopReadPaths

          public void dumpTopReadPaths(PrintWriter pwriter,
                                       int queryMaxDepth)

    - #### dumpTopWritePaths

          public void dumpTopWritePaths(PrintWriter pwriter,
                                        int queryMaxDepth)

    - #### dumpTopPaths

          public void dumpTopPaths(PrintWriter pwriter,
                                   int queryMaxDepth)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.